// com8001.cpp : Generates a (large) binary file for testing the COM-8001 
// arbitrary waveform generator. The file consists of 2-bit wide output, for 
// interface with a (COM-1002) QPSK modulator for example.
// The output waveform is periodic: 0011 on the I-channel, 0101 on the Q channel

#include <math.h>
#include <stdio.h>


int main(int argc, char* argv[])
{
	long il,ilmax;
	FILE *stream;
	unsigned char byteout;
	short numwritten;
	
	ilmax = 1000000;			// size of file in bytes
	
	printf("Generating test file for the COM-8001\n");

	if((stream = fopen("binary_file.bin","w+b")) == NULL)
		printf("the file 'binary_file.dat' was not opened\n");

	// Waveform generation 

	byteout = 0xD8;
	for(il = 0; il<ilmax; il++){

		numwritten = fwrite(&byteout,1,1,stream);

	}

	fclose(stream);
	// Format conversion


	return 0;
}

